portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ate Douma <...@douma.nu>
Subject Re: Current trunk not compiling
Date Mon, 09 Jul 2007 14:52:04 GMT
Martin Dulisch wrote:
> No I have seen this is a api change from java 5 to java 6 in the
> javax.sql.DataSource interface.
> 
> Should java 6 be supported ?
Currently Java 6 is not really tested yet by the development team, although several people
have reported they were running the latest Jetspeed-2 under Java 6.

Ate

> 
> Martin
> 
> 
> 2007/7/9, Martin Dulisch <mdulisch@gmail.com>:
>> In regards that the 2.1.1 release is currently prepared I thought it
>> could be of interesst.
>>
>> I just checked out the trunk and wanted to compile. But it breaks in
>> the rdbms component:
>>
>> [javac] 
>> D:\os\jetspeed2svn\components\rdbms\src\java\org\apache\jetspeed\components\rdbms\ojb\ConnectionRepositoryEntry.java:408:

>>
>> org.apache.jetspeed.components.rdbms.ojb.ConnectionRepositoryEntry.MinimalDataSource

>>
>> is not abstract and does not override abstract method
>> isWrapperFor(java.lang.Class) in java.sql.Wrapper
>>     [javac]     private class MinimalDataSource implements DataSource
>>     [javac]             ^
>>     [javac] 1 error
>>
>> The environment is Java 6 on Windows XP.
>>
>> Martin
>>
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
> For additional commands, e-mail: jetspeed-dev-help@portals.apache.org
> 
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
For additional commands, e-mail: jetspeed-dev-help@portals.apache.org


Mime
View raw message